OpenNMS API 1.2.9

## org.opennms.netmgt.poller
Class PollContextTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.poller.PollContextTest

All Implemented Interfaces:
  junit.framework.Test

public class PollContextTest
extends junit.framework.TestCase

Represents a PollContextTest

Author:
  brozow

Field Summary
`private EventAnticipator` `m_anticipator`
`private MockDatabase` `m_db`
`private MockEventIpcManager` `m_eventMgr`
`private MockNetwork` `m_mNetwork`
`private MockService` `m_mSvc`
`private OutageAnticipator` `m_outageAnticipator`
`private PollableNetwork` `m_pNetwork`
`private DefaultPollContext` `m_pollContext`
`private Poller` `m_poller`
`private MockPollerConfig` `m_pollerConfig`
`private PollableService` `m_pSvc`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`PollContextTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testCreateEvent()`
`void` `testGetCriticalServiceName()`
`void` `testIsNodeProcessingEnabled()`
`void` `testIsPollingAllIfCritServiceUndefined()`
`void` `testIsServiceUnresponsiveEnabled()`
`void` `testOpenResolveOutage()`
`void` `testSendEvent()`
`private void` `verifyOutages()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_mNetwork

    private MockNetwork m_mNetwork

### m_db

    private MockDatabase m_db

### m_pollerConfig

    private MockPollerConfig m_pollerConfig

### m_pollContext

    private DefaultPollContext m_pollContext

### m_pNetwork

    private PollableNetwork m_pNetwork

### m_pSvc

    private PollableService m_pSvc

### m_poller

    private Poller m_poller

### m_mSvc

    private MockService m_mSvc

### m_anticipator

    private EventAnticipator m_anticipator

### m_outageAnticipator

    private OutageAnticipator m_outageAnticipator

### m_eventMgr

    private MockEventIpcManager m_eventMgr

Constructor Detail

### PollContextTest

    public PollContextTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testGetCriticalServiceName

    public void testGetCriticalServiceName()

### testIsNodeProcessingEnabled

    public void testIsNodeProcessingEnabled()

### testIsPollingAllIfCritServiceUndefined

    public void testIsPollingAllIfCritServiceUndefined()

### testSendEvent

    public void testSendEvent()

### testCreateEvent

    public void testCreateEvent()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testOpenResolveOutage

    public void testOpenResolveOutage()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### verifyOutages

    private void verifyOutages()

### testIsServiceUnresponsiveEnabled

    public void testIsServiceUnresponsiveEnabled()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.